summaryrefslogtreecommitdiffstats
path: root/base/root/scripts
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2008-07-24 16:44:11 +1000
committerAndrew Tridgell <tridge@samba.org>2008-07-24 16:44:11 +1000
commit74b30fc0241e5281fd1c505eba31b4f8fea4b693 (patch)
treed5f5996bf9a7b88bc6bce009662a153599f18aa0 /base/root/scripts
parent01fafc01fb66769018ef3ca8a050f75211eb9919 (diff)
check gpfs is active
Diffstat (limited to 'base/root/scripts')
-rwxr-xr-xbase/root/scripts/setup_tsm_client.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/base/root/scripts/setup_tsm_client.sh b/base/root/scripts/setup_tsm_client.sh
index a4f909f..a5f58e7 100755
--- a/base/root/scripts/setup_tsm_client.sh
+++ b/base/root/scripts/setup_tsm_client.sh
@@ -2,6 +2,11 @@
set -e
+mmgetstate | grep active > /dev/null || {
+ echo "GPFS must be running to setup TSM client"
+ exit 1
+}
+
######################################
# run an onnode - using -p if possible
run_onnode() {